Karia
ReferencesOpenapiContact

Create contact

POST
/organisation/{orgId}/workspace/{workspaceId}/contact

Create a contact in the specified organisation and workspace, with optional contact methods and addresses.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "preferredName": "string"  }'
{
  "id": 0,
  "referenceId": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}